<?php

/*******************************************************************************
Copyright (C) 2009  Microsoft Corporation. All rights reserved.
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License version 2 as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*******************************************************************************/


include 'msl_settings.php';
include 'windowslivelogin_factory.php';

global $CFG;
require_once( '../../config.php' );

$wll = WindowsLiveLogin_Factory::initFromMoodleConfig( $CFG );
?>
<html>
<head>
	<meta http-equiv="refresh" content="5;url=<?php echo $CFG->wwwroot;?>" />
	<title></title>
</head>
<body bgcolor="#F4F4F4">
    <center>
        <table>
            <tr>
                <td width="450" align="center">
                    <h3 style="text-align:center;"><img src="WindowsLive.png"/></h3>
                    <h5 style="text-align: left;">Logging out of Windows Live</h5>
                    <hr/>
                    <p> 
                    Please wait while you are redirected back to Moodle.</p>
                    <p>If you are not automatically redirected, wait a minute and then click <a href="<?php echo $CFG->wwwroot; ?>">Back to Moodle</a>.</p>
                    <!-- The oauth logout does not accept redirection url so we load it in an iframe and let it be blank -->
                    <iframe src="<?php echo $wll->getLogoutUrl();?>" width="0" height="0" scrolling="no" frameborder="0" ></iframe>
                </td>
            </tr>
        </table>
    </center>
</body>
</html>