<?php
require_once( '../../config.php' );
require_once($CFG->dirroot.'/blocks/live_services/shared/utils.php');
global $OUTPUT, $PAGE;

require_login();

$privacyUrl = '<a href="http://privacy.microsoft.com/en-us/fullnotice.mspx" target="_blank" >[[privacyUrlText]]</a>';
$privacyUrl = str_replace('[[privacyUrlText]]',msl_getLocalizedString('privacyUrlText'),$privacyUrl);
$privacyPolicyText = msl_getLocalizedString('privacyPolicyText');
$privacyPolicyText = str_replace('[[privacyUrl]]',$privacyUrl,$privacyPolicyText);

$context = get_context_instance(CONTEXT_SYSTEM); 
$PAGE->set_context($context);
$PAGE->set_url('/auth/liveid/policy.php');
$PAGE->set_title(format_string('Privacy Policy'));
$PAGE->set_heading(format_string('Privacy Policy'));
    
$lincense = '<!--

/*******************************************************************************
Copyright (C) 2009  Microsoft Corporation. All rights reserved.
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License version 2 as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*******************************************************************************/

-->';  
$pripoltitle = msl_getLocalizedString('privacyPolicyTitle');
$title = '<h1 style="font-size:1.3em">'.$pripoltitle.'</h1></h1>';
$text = $lincense.$title.$privacyPolicyText;

echo $OUTPUT->header();
echo $OUTPUT->heading(msl_getLocalizedString('privacy'));
echo $OUTPUT->box_start();
echo $text;
echo $OUTPUT->box_end(); 
echo $OUTPUT->close_window_button();
echo $OUTPUT->footer();